Public Class MessageQComponent
	Public Sub AddAMessage(ByVal strPath As String, ByVal strMessage As String)
		MessageQueue1.Path = strPath
		MessageQueue1.Label = "Charter.com Errors"
		MessageQueue1.Formatter = New System.Messaging.XmlMessageFormatter
		MessageQueue1.Send(strMessage)
	End Sub
	Public Sub AddAMessage(ByVal strPath As String, ByVal errObj As Object)
		MessageQueue1.Path = strPath
		MessageQueue1.Label = "Charter.com Errors"
		MessageQueue1.Formatter = New System.Messaging.XmlMessageFormatter
		MessageQueue1.Send(errObj)
	End Sub

	Public Function GetAllMessages(ByVal strPath As String) As System.Messaging.Message()
		MessageQueue1.Path = strPath
		Return MessageQueue1.GetAllMessages()
	End Function

	Public Sub PurgeAllMessages(ByVal strPath As String)
		MessageQueue1.Path = strPath
		MessageQueue1.Purge()
	End Sub




End Class
